geo_partition_scotch.h File Reference

Go to the source code of this file.

## Classes

struct | MeshType
struct | KeyValueType

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | IDX_DATATYPE MPI_INT
#define | UNBALANCE_FRACTION 1.05
#define | DBG_INFO 2 /* Perform timing analysis */
#define | PMV3_OPTION_DBGLVL 1
#define | PMV3_OPTION_SEED 2
#define | MAXNCON 12
#define | MAXLINE 8192
#define | amax(a, b) ((a) >= (b) ? (a) : (b))
#define | icopy(n, a, b) memcpy((b), (a), sizeof(int)*(n))
#define | idxcopy(n, a, b) memcpy((b), (a), sizeof(my_idxtype)*(n))
#define | SHIFTCSR(i, n, a)

## Functions

void | geo_partition_scotch (my_idxtype *elmdist, my_idxtype *eptr, vector< my_idxtype > &eind, my_idxtype *elmwgt, int *ncon, int *ncommonnodes, int *nparts, float *tpwgts, float *ubvec, int *edgecut, my_idxtype *part, const mpi::communicator &comm)
int | idxamin (int n, const std::vector< my_idxtype > &x)
int | idxamax (int n, const std::vector< my_idxtype > &x)

## Macro Definition Documentation

## IDX_DATATYPE

#define IDX_DATATYPE MPI_INT

Definition at line 29 of file geo_partition_scotch.h.

## UNBALANCE_FRACTION

#define UNBALANCE_FRACTION 1.05

Definition at line 59 of file geo_partition_scotch.h.

## DBG_INFO

#define DBG_INFO 2 /* Perform timing analysis */

Definition at line 60 of file geo_partition_scotch.h.

## PMV3_OPTION_DBGLVL

#define PMV3_OPTION_DBGLVL 1

Definition at line 61 of file geo_partition_scotch.h.

## PMV3_OPTION_SEED

#define PMV3_OPTION_SEED 2

Definition at line 62 of file geo_partition_scotch.h.

## MAXNCON

#define MAXNCON 12

Definition at line 63 of file geo_partition_scotch.h.

## MAXLINE

#define MAXLINE 8192

Definition at line 64 of file geo_partition_scotch.h.

## amax

#define amax | ( |  | a,
|  |  | b
| ) |  | ((a) >= (b) ? (a) : (b))

Definition at line 124 of file geo_partition_scotch.h.

## icopy

#define icopy | ( |  | n,
|  |  | a,
|  |  | b
| ) |  | memcpy((b), (a), sizeof(int)*(n))

Definition at line 125 of file geo_partition_scotch.h.

## idxcopy

#define idxcopy | ( |  | n,
|  |  | a,
|  |  | b
| ) |  | memcpy((b), (a), sizeof(my_idxtype)*(n))

Definition at line 126 of file geo_partition_scotch.h.

## SHIFTCSR

#define SHIFTCSR | ( |  | i,
|  |  | n,
|  |  | a
| ) |  |

Value:
do { \
for (i=n; i>0; i--) a[i] = a[i-1]; \
a[0] = 0; \
} while(0)
mkgeo_ball.n
int n
Definition: mkgeo_ball.sh:150
a
Definition: diffusion_isotropic.h:25

Definition at line 127 of file geo_partition_scotch.h.